package com.qmth.jkserver.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamSolfegeRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 视唱考生答案文件 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface JkExamSolfegeRecordDao extends BaseMapper<ExamSolfegeRecord> {

    public Long findByExamCodeAndPlaceCodeAndRoomCodeCount(@Param("examCode") String examCode, @Param("placeCode") String placeCode, @Param("roomCode") String roomCode);

    public List<ExamSolfegeRecord> findByStudentId(@Param("studentId") Long studentId);
}
