package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.UserLogDao;
import com.qmth.jkserver.model.UserLog;
import com.qmth.jkserver.service.JkUserLogService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户日志表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkUserLogServiceImpl extends ServiceImpl<UserLogDao, UserLog> implements JkUserLogService {

}
