package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.Attachment;
//
//@Repository
//public interface AttachmentDao extends MongoRepository<Attachment, String>{
//
//	Attachment findById(String id);
//
//	public void deleteById(String id);
//
//	public List<Attachment> findByRelateId(String relateId);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.Attachment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 附件表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-03
 */
public interface AttachmentDao extends BaseMapper<Attachment> {

    Attachment findById(@Param("id") Long id);

    public void deleteById(@Param("id") Long id);

    public List<Attachment> findByRelateId(@Param("relateId") Long relateId);

    public List<String> findDistinctExtByExamCode(@Param("examCode") String examCode);
}
