package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamStage;
//
//@Repository
//public interface ExamStageDao extends MongoRepository<ExamStage, String>{
//
//	public void deleteByExamCode(String examCode);
//
//	public List<ExamStage> findByExamCode(String examCode);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.ExamStage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 批次场次表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamStageDao extends BaseMapper<ExamStage> {

    public void deleteByExamCode(@Param("examCode") String examCode);

    public List<ExamStage> findByExamCode(@Param("examCode") String examCode);

    public List<Map> findBatchIdAndBatchName(@Param("examCode") String examCode);

    public IPage<Map> findByExamCodeByMap(IPage<Map> iPage, @Param("examCode") String examCode);
}
